# wanha - your pesky URL-guardian for IRC
# Copyright (C) 2006 Tommi Saviranta  <wnd@iki.fi>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


package Common;

use strict;
use warnings FATAL => 'all';
use diagnostics;

require "lang.pl";
require "dbops.pl";

my $mm = 0;


# 0: multimedia
sub set_mm($)
{
	($mm) = @_;
}


# ...: link (url, label)
sub print_links(@)
{
	($#_ == -1) && return;

	# Evil
	my @links;
	push(@links, pop(@_)) while ($#_ >= 0);

	print "<p>" . &Lang::get("link-go-to") . "\n";

	my ($label, $url);
	$url = pop(@links);
	$label = pop(@links);
	print "\t<a href=\"$url\">\u$label</a>";

	while ($#links >= 0) {
		$url = pop(@links);
		$label = pop(@links);
		print ",\n\t<a href=\"$url\">$label</a>";
	}

	print "</p>\n";
}


# 0: url
sub is_image($)
{
	my ($url) = @_;
	$_ = $url;

	if (/\.jpe?g$/i || /\.gif$/i || /\.png$/i) {
		return 1;
	} else {
		return 0;
	}
}


# ...: images
sub link_images(@)
{
	($mm == 0 || $#_ == -1) && return;
	print "<p>\n";
	print "<!-- not xhtml strict compliact -->\n";
	foreach (@_) {
		print "<a href=\"$_\"><img src=\"$_\" /></a>\n";
	}
	print "</p>\n";
}


sub max($$)
{
	my ($a, $b) = @_;
	return $a > $b ? $a : $b;
}


sub min($$)
{
	my ($a, $b) = @_;
	return $a < $b ? $a : $b;
}


return 1;
